#!/bin/bash

echo "create '$1', 'cf'" > hbase_table.txt
echo "list '$1'" >> hbase_table.txt
echo "put '$1', 'row1', 'cf:a', 'value1'" >> hbase_table.txt
echo "put '$1', 'row2', 'cf:b', 'value2'" >> hbase_table.txt
echo "put '$1', 'row3', 'cf:c', 'value3'" >> hbase_table.txt
echo "put '$1', 'row4', 'cf:d', 'value4'" >> hbase_table.txt
echo "scan '$1'" >> hbase_table.txt
echo "get '$1', 'row1'" >> hbase_table.txt
echo "disable '$1'" >> hbase_table.txt
echo "enable '$1'" >> hbase_table.txt
echo "exit;" >> hbase_table.txt

hbase shell hbase_table.txt

echo "describe '$1'" | hbase shell -n > /dev/null 2>&1
status=$?
echo "The status was " $status
if [ $status == 0 ]
then
    echo "The command succeeded"
else
    echo "The command may have failed."
fi

